#include "CkjThread.h"

#if 0
#include <config.h>
#if FF_DEBUG
#include <iostream>
using namespace std;
#endif
#endif

CkjThread::CkjThread(bool bJoinable /*= false*/)
	: m_pThread(NULL)
	, m_bJoinable(bJoinable)
{}

	
void CkjThread::_run()
{
	run();
	m_pThread = NULL;
}


void CkjThread::start(bool bJoinable)
{
	if (!m_pThread)
		m_pThread = Glib::Thread::create(SigC::slot_class(*this, &CkjThread::_run), bJoinable);
}
